Package org.springframework.test.web.servlet.assertj

# Class AbstractMockHttpServletRequestAssert<SELF extends AbstractMockHttpServletRequestAssert<SELF>>

java.lang.Object
org.assertj.core.api.AbstractAssert<SELF,ACTUAL>
org.assertj.core.api.AbstractObjectAssert<SELF,ACTUAL>
org.springframework.test.web.servlet.assertj.AbstractHttpServletRequestAssert<SELF,MockHttpServletRequest>
org.springframework.test.web.servlet.assertj.AbstractMockHttpServletRequestAssert<SELF>

Type Parameters:
  `SELF` - the type of assertions

All Implemented Interfaces:
  `org.assertj.core.api.Assert<SELF,MockHttpServletRequest>`, `org.assertj.core.api.Descriptable<SELF>`, `org.assertj.core.api.ExtensionPoints<SELF,MockHttpServletRequest>`

public abstract class AbstractMockHttpServletRequestAssert<SELF extends AbstractMockHttpServletRequestAssert<SELF>> extends AbstractHttpServletRequestAssert<SELF,MockHttpServletRequest>
AssertJ assertions that can be applied to `MockHttpServletRequest`.

Since:
  6.2
Author:
  Stephane Nicoll

## Field Summary

### Fields inherited from class org.assertj.core.api.AbstractAssert

`actual, info, myself, objects, throwUnsupportedExceptionOnEquals`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractMockHttpServletRequestAssert(MockHttpServletRequest request, Class<?> selfType)`

## Method Summary

### Methods inherited from class org.springframework.test.web.servlet.assertj.AbstractHttpServletRequestAssert

`attributes, hasAsyncStarted, sessionAttributes`

### Methods inherited from class org.assertj.core.api.AbstractObjectAssert

`as, as, doesNotReturn, extracting, extracting, extracting, extracting, extracting, extracting, extractingForProxy, getComparatorsByType, hasAllNullFieldsOrProperties, hasAllNullFieldsOrPropertiesExcept, hasFieldOrProperty, hasFieldOrPropertyWithValue, hasNoNullFieldsOrProperties, hasNoNullFieldsOrPropertiesExcept, hasOnlyFields, isEqualToComparingFieldByField, isEqualToComparingFieldByFieldRecursively, isEqualToComparingOnlyGivenFields, isEqualToIgnoringGivenFields, isEqualToIgnoringNullFields, newObjectAssert, returns, usingComparatorForFields, usingComparatorForType, usingRecursiveAssertion, usingRecursiveAssertion, usingRecursiveComparison, usingRecursiveComparison`

### Methods inherited from class org.assertj.core.api.AbstractAssert

`actual, areEqual, asInstanceOf, asList, assertionError, asString, describedAs, descriptionText, doesNotHave, doesNotHaveSameClassAs, doesNotHaveSameHashCodeAs, doesNotHaveToString, doesNotHaveToString, doesNotMatch, doesNotMatch, equals, extracting, extracting, failure, failureWithActualExpected, failWithActualExpectedAndMessage, failWithMessage, getWritableAssertionInfo, has, hashCode, hasSameClassAs, hasSameHashCodeAs, hasToString, hasToString, inBinary, inHexadecimal, is, isElementOfCustomAssert, isEqualTo, isExactlyInstanceOf, isIn, isIn, isInstanceOf, isInstanceOfAny, isInstanceOfSatisfying, isNot, isNotEqualTo, isNotExactlyInstanceOf, isNotIn, isNotIn, isNotInstanceOf, isNotInstanceOfAny, isNotNull, isNotOfAnyClassIn, isNotSameAs, isNull, isOfAnyClassIn, isSameAs, matches, matches, newListAssertInstance, overridingErrorMessage, overridingErrorMessage, satisfies, satisfies, satisfies, satisfiesAnyOf, satisfiesAnyOf, satisfiesAnyOfForProxy, satisfiesForProxy, setCustomRepresentation, setDescriptionConsumer, setPrintAssertionsDescription, throwAssertionError, usingComparator, usingComparator, usingDefaultComparator, usingEquals, usingEquals, withFailMessage, withFailMessage, withRepresentation, withThreadDumpOnError`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.assertj.core.api.Descriptable

`as, describedAs, describedAs`

## Constructor Details

### AbstractMockHttpServletRequestAssert

protected AbstractMockHttpServletRequestAssert(MockHttpServletRequest request, Class<?> selfType)